<?php

/**
 * @file
 * Contains the min_timeline row plugin.
 */

/**
 * Row plugin to render each item on a timeline.
 *
 * @ingroup views_row_plugins
 */
class min_timeline_row_plugin extends views_plugin_row {

  /**
   * {@inheritdoc}
   */
  public function option_definition() {
    $options = parent::option_definition();
    $options['min_timeline_date'] = ['default' => []];
    $options['min_timeline_body'] = ['default' => []];
    return $options;
  }

  /**
   * {@inheritdoc}
   */
  public function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['min_timeline_date'] = array(
      '#type' => 'checkboxes',
      '#title' => t('Timeline Date'),
      '#options' => $this->display->handler->get_field_labels(),
      '#default_value' => $this->options['min_timeline_date'],
      '#description' => t('Selected fields will be displayed next to each other in the Date section.'),
    );

    $form['min_timeline_body'] = array(
      '#type' => 'checkboxes',
      '#title' => t('Timeline Body'),
      '#options' => $this->display->handler->get_field_labels(),
      '#default_value' => $this->options['min_timeline_body'],
      '#description' => t('Selected fields will be displayed next to each other in the Body section.'),
    );
  }

}
