<?php

/**
 * @file
 * Theme preprocessors.
 */

/**
 * Overwrites min-timeline.tpl.php variables.
 */
function min_timeline_preprocess_min_timeline(&$vars) {
  $options = $vars['options'];
  $vars['rtlMode'] = $options['rtlMode'] ? 'data-rtl-mode="true"' : '';
}

/**
 * Overwrites min-timeline-row.tpl.php variables.
 */
function min_timeline_preprocess_min_timeline_row(&$vars) {
  $view = & $vars['view'];
  $options = $vars['options'];

  $vars['min_timeline_date'] = NULL;
  $vars['min_timeline_body'] = NULL;

  foreach ($view->field as $id => $field) {
    $field_output = $view->field[$id]->theme($vars['row']);

    if (in_array($id, array_filter($options['min_timeline_date']))) {
      $vars['min_timeline_date'][] = $field_output;
    }

    if (in_array($id, array_filter($options['min_timeline_body']))) {
      $vars['min_timeline_body'][] = $field_output;
    }
  }
  $vars['min_timeline_date'] = implode('', $vars['min_timeline_date']);
  $vars['min_timeline_body'] = implode('', $vars['min_timeline_body']);
}
